taffybar-0.4.5: A desktop bar similar to xmobar, but with more GUI

Copyright | (c) Arseniy Seroka
License | BSD3-style (see LICENSE)
Maintainer | Arseniy Seroka <ars.seroka@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell2010

System.Taffybar.CommandRunner

Description

Simple function which runs user defined command and returns it's output in PollingLabel widget

Synopsis

- commandRunnerNew :: Double -> String -> [String] -> String -> String -> IO Widget

# Documentation

commandRunnerNew Source

Arguments

:: Double | Polling period (in seconds).
-> String | Command to execute. Should be in $PATH or an absolute path
-> [String] | Command argument. May be `[]`
-> String | If command fails this will be displayed.
-> String | Output color
-> IO Widget |

Creates a new command runner widget. This is a `PollingLabel` fed by regular calls to command given by argument. The results of calling this function are displayed as string.